@import url('https://fonts.googleapis.com/css2?family=Lexend+Deca:wght@300;400;500;600;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Lexend Deca', sans-serif;
    list-style-type: none;
    text-decoration: none;
    color: #000;
}

:root{
    /* Primary color palette */

    --blue3005: #0081C6;
    --darkBlue295: #00447C;
    --darkGray7545: #5C6F7C;
    --gray7543: #ADB8BF;
    --brightOrange: #F45E06;

    /* Secondary color palette */

    --dawn415: #A7A698;
    --mongoose451: #B1A97D;
    --satinLinen454: #E6E4D2;
    --black: #000;
    --white: #FFF;

    /* Accent colors */
    
    --sushi368: #7bc143;
    --corn606: #e8cf00;
    --geebung723: #d4881C;
    --cedarWood483: #7A1600;
    --punga7519: #564319;

    /* Extra use colors */

    --whitesmoke: #F9F9F9;
    --light-gray: #ECECEC;
    --gray: #C4C4C4;
    --medium-gray: #A7A7A7;
    --deep-gray: #343434;
}

body{
    background-color: var(--light-gray);
}

.header{
    width: 100%;
    min-height: 10vh;
    height: 80px;
    background: #153580;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;

    /* justify-content: space-between;
    align-items: center; */
    padding: clamp(20px, 1.5%, 30px);
    position: relative;
    z-index: 10;
}

.menu-hamburger{
    line-height: 0;
    cursor: pointer;
}

.header-logo{
    margin-right: 30px;
}

.header-logo img{
    width: 180px;    
    cursor: pointer;
}

.icon-sandwich{
    width: 30px;
    height: 20px;
}

.sidebar-compliment-bg{
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
}

.sidebar-bg-active{
    display: block;
}

.left-sidebar{
    width: 100%;
    max-width: 320px;
    min-height: 100vh;
    background-color: var(--white);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    line-height: 70px;
    padding: 18px 0;
    flex-direction: column;
    justify-content: space-between;
}

.sidebar-active{
    display: flex;
}

.close-sidebar-button{
    position: absolute;
    left: calc(100% + 0.9rem);
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.icon-close-modal{
    width: 24px;
    height: 24px;
}

.nav-buttons{    
    display: flex;
    flex-direction: column;
}

.sidebar-button{
    display: flex;
    gap: 10px;
    cursor: pointer;
    padding: 0 18px;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: nowrap;
    flex-direction: row;
    height: 50px;
}

.sidebar-button:hover{
    background-color: #ddd;
}

.sidebar-button svg{
    width: 20px;
}

.sidebar-subnav-container{
    position: relative;
}

.arrow-icon{
    fill: #000;
    width: 12px !important;
    height: 12px;
    position: absolute;
    top: 29px;
    right: 20px;
}

.arrow-icon-rotate{
    rotate: 90deg;
}

.sidebar-subnav{
    display: none;
    flex-direction: column;
}

.subnav-active{
    display: flex;
}

.sub-button{
    padding-left: 50px;
}


/* ---------- MAIN CONTENT ---------- */

.main-content{
    background-color: var(--light-gray);
    display: block;
}

